<?php
function phptemplate_links($links, $attributes = array('class' => 'links')) {
  $output = '';

  if (count($links) > 0) {
    $output = '<ul'. drupal_attributes($attributes) .'>';

    $num_links = count($links);
    $i = 1;

    foreach ($links as $key => $link) {
      $class = $key;

      // Add first, last and active classes to the list of links to help out themers.
      if ($i == 1) {
        $class .= ' first';
      }
      if ($i == $num_links) {
        $class .= ' last';
      }
      if (isset($link['href']) && $link['href'] == $_GET['q']) {
        $class .= ' active';
      }
      $output .= '<li class="'. $class .'">';

      if (isset($link['href'])) {
        // Pass in $link as $options, they share the same keys.
        $link['html'] = TRUE;
        $output .= l('<span>'. $link['title'] .'</span>', $link['href'], $link);
      }
      else if (!empty($link['title'])) {
        // Some links are actually not links, but we wrap these in <span> for adding title and class attributes
        if (empty($link['html'])) {
          $link['title'] = check_plain($link['title']);
        }
        $span_attributes = '';
        if (isset($link['attributes'])) {
          $span_attributes = drupal_attributes($link['attributes']);
        }
        $output .= '<span'. $span_attributes .'>'. $link['title'] .'</span>';
      }

      $i++;
      $output .= "</li>\n";
    }

    $output .= '</ul>';
  }

  return $output;
}


function _phptemplate_variables($hook, $vars = array()) {
  switch ($hook) {
    case 'page':
      $vars['body_class'] = '';

      $layout = '';
      //Is there a left sidebar?
      if ($vars['sidebar_left'] != '') {
          $layout = 'sidebar-left';
      }
      //Is there a right sidebar?
      if ($vars['sidebar_right'] != '') {
           $layout = ($layout == 'sidebar-left') ? 'sidebars' : 'sidebar-right';
      }
      //Put layout into body_class
      if ($layout != ''){
         $vars['body_class'] .= ' ' . $layout;
      }			
      break;
	  }
		
	// Start support for Advanced Forum Module
	if (module_exists('advanced_forum')) {
		$vars = advanced_forum_addvars($hook, $vars);
	}
	// End support for Advanced Forum Module
	
	
return $vars;
}

/**
 * Override or insert PHPTemplate variables into the templates.
 */
function phptemplate_preprocess_page(&$vars) {
	$vars['sky_title'] = '';
	if (drupal_is_front_page()) { // use the site slogan as title for the front page
	$vars['sky_title'] = variable_get('site_slogan', '');
	} else { // get the page title and use that
	$vars['sky_title'] =  drupal_get_title();
	}
}

function sky_feed_icon($url, $title = NULL) {
	$title = t('Subscribe to this feed');
  if ($image = theme('image', path_to_theme() . '/images/feed.png', t('Syndicate content'), $title)) {
    return '<a href="'. check_url($url) .'" class="feed-icon">'. $image .'</a>';
  }
}

?>